petsc4py (3.25.4-1ubuntu1) stonking; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Aug 2026 16:37:41 +0200

petsc4py (3.25.4-1) unstable; urgency=medium

  * New upstream release

 -- Francesco Ballarin <ballarin@debian.org>  Fri, 14 Aug 2026 18:08:20 +0000

petsc4py (3.25.1-1ubuntu1) stonking; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 18 Jun 2026 10:52:13 +0200

petsc4py (3.25.1-1) unstable; urgency=medium

  * Upload to unstable, see transition request in Bug #1135890.

 -- Francesco Ballarin <ballarin@debian.org>  Wed, 10 Jun 2026 07:38:31 +0000

petsc4py (3.25.1-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Francesco Ballarin <ballarin@debian.org>  Sat, 02 May 2026 06:44:07 +0000

petsc4py (3.25.0-1~exp2) experimental; urgency=medium

  * Drop redundant Priority: optional field from d/control
  * Add lintian overrides for false positive on repeated-path-segment, which
    happens because of how the directories are organized upstream.
  * Use explicitly set -e in prerm scripts to avoid lintian pedantic message
    maintainer-script-without-set-e.
  * Use local mathjax to avoid privacy-breach-generic lintian warning
  * Ignore cannot adjust line groff messages in lintian, which are caused by
    long urls overflowing the document width size.

 -- Francesco Ballarin <ballarin@debian.org>  Fri, 01 May 2026 15:51:09 +0000

petsc4py (3.25.0-1~exp1) experimental; urgency=medium

  * New upstream release
    - New PETSc ABI 3.25
  * Standards-Version: 4.7.4 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Avoid pypi.org in Homepage field.
  * Add minimal d/upstream/metadata

 -- Francesco Ballarin <ballarin@debian.org>  Mon, 27 Apr 2026 07:59:21 +0000

petsc4py (3.24.5-1) unstable; urgency=medium

  * New upstream release
  * update debian/watch to v5 PyPI format
  * after dh_clean, remove generated doc file
    docs/source/petsc_objects.inv. Closes: #1047199.
  * debian/tests: update Depends: pkgconf rather than pkg-config

 -- Drew Parsons <dparsons@debian.org>  Fri, 20 Mar 2026 09:59:13 +0100

petsc4py (3.24.4-1ubuntu2) resolute; urgency=medium

  * No-change rebuild to drop Python 3.13 bits.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Mar 2026 11:32:02 +0100

petsc4py (3.24.4-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 21 Feb 2026 21:33:58 +0100

petsc4py (3.24.4-1) unstable; urgency=medium

  * New upstream release
  * Update F. Ballarin's email address

 -- Francesco Ballarin <ballarin@debian.org>  Fri, 20 Feb 2026 11:35:15 +0000

petsc4py (3.24.3-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 26 Jan 2026 07:52:46 +0100

petsc4py (3.24.3-1) unstable; urgency=medium

  * New upstream release
  * update Homepage pypi url to https://pypi.org/project/petsc4py/
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Sun, 25 Jan 2026 01:38:59 +0100

petsc4py (3.24.1-2ubuntu2) resolute; urgency=medium

  * Rebuild against new slepc/petsc/petsc4py/scotch/mumps libraries.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Dec 2025 20:14:21 +0100

petsc4py (3.24.1-2ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 06 Dec 2025 15:19:58 +0100

petsc4py (3.24.1-2) unstable; urgency=medium

  * drop debian patch fixes_for_sphinx_MR8685.diff (applied upstream)
  * vendor pylit in debian/pylit.py, v0.8.0 from pypi tarball.
    Update debian patch build_docs.patch to enable use of pylit during
    doc build. Copyright Günter Milde with a GPL-3+ licence.

 -- Drew Parsons <dparsons@debian.org>  Sat, 22 Nov 2025 12:51:50 +0100

petsc4py (3.24.1-1exp1) experimental; urgency=medium

  * New upstream release
    - new PETSc ABI 3.24
    - supports current cython. Closes: #1119759.
  * update debian patch build_docs.patch to reenable
    pydata-sphinx-theme, whose bug has been fixed.
    Build-Depends: python3-pydata-sphinx-theme <!nodoc>
  * Build-Depends: python3-numpy-dev (for dh_numpy3)

 -- Drew Parsons <dparsons@debian.org>  Thu, 06 Nov 2025 14:10:54 +0100

petsc4py (3.23.1-1exp2) experimental; urgency=medium

  * Remove build/ directory after building 64-bit complex package,
    otherwise manually running test after having done dpkg-buildpackage +
    sudo debi results in the maintainer thinking that they are testing the
    default scalar type variant (i.e., 32-bit real), while actually testing the
    latest built one (i.e., 64-bit complex).
  * Standards-Version: 4.7.2

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 04 May 2025 04:47:17 +0000

petsc4py (3.23.1-1exp1) experimental; urgency=medium

  [ Francesco Ballarin ]
  * New upstream release. New PETSc ABI 3.23.1.
  * Refresh build_local_docs.patch.

 -- Drew Parsons <dparsons@debian.org>  Fri, 02 May 2025 11:47:02 +0200

petsc4py (3.22.4-2ubuntu2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 10:21:19 +0000

petsc4py (3.22.4-2ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Sep 2025 09:30:31 +0200

petsc4py (3.22.4-2) unstable; urgency=medium

  * debian patch fixes_for_sphinx_MR8685.diff applies upstream MR#8685
    to fix doc build with sphinx. Closes: #1114259.
  * Build-Depends: python3-numpy-dev (for dh_numpy3)
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Sat, 13 Sep 2025 19:22:26 +0200

petsc4py (3.22.4-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Mar 2025 08:32:31 +0100

petsc4py (3.22.4-1) unstable; urgency=medium

  * New upstream release
  * debian/source/lintian-overrides: drop redundant uses-python-distutils
  * debian/tests Depends: python3-numpy-dev
    (fortranobject.c is needed by f2py, used by legacy demo tests)
  * update debian patch test_demo_no_plot.patch to apply env variable
    PETSC_OPTIONS="-plot false" to prevent display of generated plots
    when running demo tests. Apply in makefiles only.
    Also use MPLBACKEND=Agg for plots generated with matplotlib.
  * debian/tests: run demos with OMPI_MCA_btl_tcp_if_include=lo
    to avoid unreachable pairing warnings

 -- Drew Parsons <dparsons@debian.org>  Wed, 12 Mar 2025 01:44:00 +0100

petsc4py (3.22.3-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Mar 2025 09:29:20 +0100

petsc4py (3.22.3-1) unstable; urgency=medium

  * New upstream release
  * debian/source/lintian-overrides: drop redundant uses-python-distutils
  * debian/tests Depends: python3-numpy-dev
    (fortranobject.c is needed by f2py, used by legacy demo tests)

 -- Drew Parsons <dparsons@debian.org>  Wed, 19 Feb 2025 16:55:17 +0100

petsc4py (3.22.1-2ubuntu3) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Jan 2025 11:33:02 +0000

petsc4py (3.22.1-2ubuntu2) plucky; urgency=medium

  * No-change rebuild for mpich_4.2.1-2.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 12 Dec 2024 09:50:07 +0000

petsc4py (3.22.1-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Nov 2024 10:07:06 +0100

petsc4py (3.22.1-2) unstable; urgency=medium

  * Upload 3.22 to unstable. Transition #1082552.

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 Nov 2024 23:38:03 +0100

petsc4py (3.22.1-1exp1) experimental; urgency=medium

  * New upstream release. New PETSc ABI 3.22.

 -- Drew Parsons <dparsons@debian.org>  Wed, 27 Nov 2024 23:49:01 +0100

petsc4py (3.21.6-3) unstable; urgency=medium

  [ Francesco Ballarin ]
  * Add Francesco Ballarin to uploaders
  * OpenMPI 5.0 changed the name and the value of the environment variable to
    allow oversubscription from
       export OMPI_MCA_rmaps_base_oversubscribe=1
    to
       export PRTE_MCA_rmaps_default_mapping_policy=:oversubscribe
    Use the new variable name in debian/tests.
  * OpenMPI 5.0 changed the name of the environment variable to set the SSH
    agent from
       export OMPI_MCA_plm_rsh_agent=/bin/false
    to
       export PRTE_MCA_plm_ssh_agent=/bin/false
    Use the new variable name in debian/tests.

 -- Drew Parsons <dparsons@debian.org>  Wed, 27 Nov 2024 21:15:21 +0100

petsc4py (3.21.6-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Oct 2024 19:52:01 +0100

petsc4py (3.21.6-2) unstable; urgency=medium

  * fix doc build
    - remove deprecated --force option from arch-indep build
    - clean files generated by doc build
  * activate use of sphobjinv in doc build
    - remove sphobjinv skipping from debian patch build_docs.patch
    - set LOC=/usr/share/doc/petsc$(PETSC_VERSION)-doc/docs when
      building docs to access petsc objects.inv (from petsc3.21-doc)
    - Build-Depends-Indep: python3-sphobjinv <!nodoc>

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Oct 2024 11:41:10 +0200

petsc4py (3.21.6-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Link docs to the packaged docs, not the online docs.
  * d/control: reformatted, removed references to outdated versions
  * d/copyright: use https version of the format
  * d/rules: stop manually parsing the changelog
  * Added DEP-3 metadata to all the patches.
  * Add missing build dependency on setuptools. Closes: #1080699
  * d/source/lintian-overrides: silence a false-positive about the use of
    distutils when setuptools is not available
  * Add meson dependency for autopkgtests, set flags so that mpiexec
    doesn't freak out about being run as root

  [ Drew Parsons ]
  * New upstream release.
  * update debian patch build_docs.patch
    - skip pydata_sphinx_theme, which is currently broken (Bug#1084781).
      Drop Build-Depends: python3-pydata-sphinx-theme.
    - don't use git when building docs

 -- Drew Parsons <dparsons@debian.org>  Tue, 08 Oct 2024 21:13:50 +0200

petsc4py (3.21.4-1exp1) experimental; urgency=medium

  * New upstream release. New ABI 3.21.
  * Build-Depends: pybuild-plugin-pyproject
  * Build-Depends-Indep: python-numpy-doc,
    python3-sphinx-rtd-theme <!nodoc>.
    Update build_local_docs.patch for numpy docs.
  * debian/rules: drop deprecated build option --force
    Requires manual removal of intermediate build dir
    (pybuild does not control the pyproject PEP517 build dir)

 -- Drew Parsons <dparsons@debian.org>  Wed, 28 Aug 2024 00:41:05 +0200

petsc4py (3.20.5-4ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 29 Sep 2024 09:06:40 +0200

petsc4py (3.20.5-4) unstable; urgency=medium

  * update debian patch build_local_docs.patch to link to numpy docs
    Build-Depends-Indep: python-numpy-doc <!nodoc>
  * drop Build-Depends-Indep: python-pyopencl-doc.
    pocl is flaky, and is at risk of expelling a large swathe of
    unrelated packages from the archive. Linking to pyopencl docs is
    not crucial for petsc4py.

 -- Drew Parsons <dparsons@debian.org>  Thu, 29 Aug 2024 02:02:31 +0200

petsc4py (3.20.5-3ubuntu3) oracular; urgency=medium

  * Another no-change rebuild against mpi-defaults 1.17 now that
    petsc was built

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 23 Sep 2024 11:00:35 +0000

petsc4py (3.20.5-3ubuntu2) oracular; urgency=medium

  * No-change rebuild against mpi-defaults 1.17

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 01 Aug 2024 12:59:36 -0700

petsc4py (3.20.5-3ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 May 2024 19:29:50 +0200

petsc4py (3.20.5-3) unstable; urgency=medium

  * build the real module in arch-indep builds to be used building docs
  * don't build docs if nodoc is set in DEB_BUILD_OPTIONS

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 May 2024 19:55:53 +0200

petsc4py (3.20.5-2) unstable; urgency=medium

  * debian/tests: run tests over all supported python versions
  * Build-Depends-Indep: python3-pydata-sphinx-theme (for docs)
  * debian patch build_local_docs.patch sets intersphinx links to
    local docs (numpy docs not yet available)
    - Build-Depends-Indep: petsc3.20-doc, python3-doc,
      python-mpi4py-doc, python-pyopencl-doc <!nodoc>
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 May 2024 15:26:37 +0200

petsc4py (3.20.5-1exp1) experimental; urgency=medium

  * New upstream release (ABI 3.20)
    - man page is now registered in section 3
  * Build-Depends: cython3 (>= 3~)
    - drop debian patch revert_cython_pin_PR6720.patch
  * drop Build-Depends: python3-distutils. Closes: #1065916.
  * debian/tests: update demo tests
    - run demos over all supported python versions
    - run new poisson2d
    - old demo tests now moved to legacy subdir
  * debian patch build_docs.patch disables use of sphobjinv and pylit
    when building docs. They are not yet packaged for Debian.
    - override dh_sphinxdoc: to ignore missing poisson2d text
  * drop build of texinfo docs. Currently generates a doubled
    "@end deffn" causing the texinfo doc build to fail.

 -- Drew Parsons <dparsons@debian.org>  Thu, 14 Mar 2024 10:01:04 +0100

petsc4py (3.19.6-7ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:09:13 +1100

petsc4py (3.19.6-7ubuntu2) noble; urgency=medium

  * Drop distutils dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 17 Mar 2024 20:40:42 +0100

petsc4py (3.19.6-7ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Mar 2024 23:47:12 +0100

petsc4py (3.19.6-7) unstable; urgency=medium

  * reduce optimisations in the sh4 build to -O1
    since the sh4 build is running out of memory and failing

 -- Drew Parsons <dparsons@debian.org>  Wed, 06 Mar 2024 10:40:31 +0100

petsc4py (3.19.6-6ubuntu3) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Mar 2024 21:21:21 +0100

petsc4py (3.19.6-6ubuntu2) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:14:40 +0100

petsc4py (3.19.6-6ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Feb 2024 09:06:45 +0100

petsc4py (3.19.6-6) unstable; urgency=medium

  * debian patch revert_cython_pin_PR6720.patch also reverts upstream
    PR#6746 and PR#6748.

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Feb 2024 12:12:23 +0100

petsc4py (3.19.6-5) unstable; urgency=medium

  * debian patch revert_cython_pin_PR6720.patch reverts upstream
    PR#6720 which pinned cython to 0.29.36. For the debian build the
    cython version is managed by the cython3-legacy dependency.

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Feb 2024 11:12:01 +0100

petsc4py (3.19.6-4) unstable; urgency=medium

  * python3-petsc4py Recommends: libpetsc-real-dev |
    libpetsc-complex-dev. To install libpetsc-real3.*-dev, which sets
    /usr/lib/petsc needed for default importing (see petsc4py.pth)

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Feb 2024 02:55:10 +0100

petsc4py (3.19.6-3ubuntu1) noble; urgency=medium

  * Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 01 Feb 2024 20:53:04 +0100

petsc4py (3.19.6-3) unstable; urgency=medium

  * update debian patch demo_fixes.patch to set MPIEXEC_FLAGS
    separately from MPIEXEC to set number of processes (-n 4).
    Otherwise debci overrides the value with "mpiexec --oversubscribe"
    losing the -n option. See upstream Issue #1520.

 -- Drew Parsons <dparsons@debian.org>  Thu, 04 Jan 2024 14:06:54 +0100

petsc4py (3.19.6-2) unstable; urgency=medium

  * debian patch test_demo_no_plot.patch sets demos to not plot
    results by default. Displaying plots interferes with autopkgtest
    (debci) package testing.
  * update debian patch demo_fixes.patch to exclude wrap-swig from
    demo tests. It uses CPU-specific optimisations not suitable for
    general CI testing.

 -- Drew Parsons <dparsons@debian.org>  Wed, 03 Jan 2024 15:18:35 +0100

petsc4py (3.19.6-1) unstable; urgency=medium

  [ Francesco Ballarin ]
  * New upstream version 3.19.6
  * Have pybuild use only the default python3 version when building the
    documentation.

  [ Drew Parsons ]
  * Build-Depends: cython3-legacy instead of cython3 as a temporary
    workaround to facilitate the introduction of cython 3.0.
    Thanks Sebastiaan Couwenberg. Closes: #1056830.
  * after dh_clean, delete generated src/petsc4py/PETSc* files.
    Closes: #1047199.

 -- Drew Parsons <dparsons@debian.org>  Fri, 22 Dec 2023 13:17:26 +0100

petsc4py (3.19.1-1exp1) experimental; urgency=medium

  * New upstream release (new ABI 3.19).
  * drop debian/README.source
    (quilt is now standard with debian/source 3.0)
  * generate fresh docs using sphinx.
    apiref and usrman no longer provided.

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Jun 2023 01:12:41 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python-petsc4py-doc`.
